.\" Copyright (c) 1992, 1995 Hellmuth Michaelis
.\"
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by Hellmuth Michaelis
.\" 4. The name authors may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHORS ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" @(#)loadfont.1, 3.20, Last Edit-Date: [Tue Apr  4 13:06:00 1995]
.\"
.Dd April 4, 1995
.Dt LOADFONT 1
.Sh NAME
.Nm loadfont
.Nd is used to load fonts into EGA or VGA boards for use by the 'pcvt' video
driver.
.Sh SYNOPSIS
.Nm loadfont
.Op Fl c Ar charsetno
.Op Fl d Ar devicefile
.Op Fl f Ar fontfilename
.Op Fl i
.Sh DESCRIPTION
The
.Nm loadfont
utility is used to load fonts needed for proper operation of the pcvt
VT220 driver on EGA and VGA boards into the font ram of this boards.
.Pp
The options are as follows:
.Bl -tag -width Ds
.It Fl c
Specifies the slot, the font is to load into. EGA boards have four 
slots and VGA boards have eight slots available for downloading fonts.
.It Fl d
Specifies the devicefile to use.
.It Fl f
Specifies the file which contains the font to be downloaded.
.It Fl i
Gives information what type(s) of font do currently reside in which slot.
This is also the default behaviour if no options are specified on the commandline.
.El
.Pp
This utility is used only on EGA and VGA boards, as MDA, HCG and CGA boards
do not have downloadable charactersets available.
.Sh FILES
The following fontfiles are available in the pcvt distribution:

.nf
/usr/share/misc/pcvtfonts/vt220l.808:	8x8  IBM II font
/usr/share/misc/pcvtfonts/vt220h.808:	8x8  Extension font
/usr/share/misc/pcvtfonts/vt220l.810:	8x10 IBM II font
/usr/share/misc/pcvtfonts/vt220h.810:	8x10 Extension font
/usr/share/misc/pcvtfonts/vt220l.814:	8x14 IBM II font
/usr/share/misc/pcvtfonts/vt220h.814:	8x14 Extension font
/usr/share/misc/pcvtfonts/vt220l.816:	8x16 IBM II font
/usr/share/misc/pcvtfonts/vt220h.816:	8x16 Extension font
.fi
.Sh EXAMPLES
The command
.Dq Li loadfont -c0 -f/usr/share/misc/pcvtfonts/vt220l.816
loads a 8x16 font containing the standard IBM characterset II into font slot
0 on a VGA or EGA board.
.Sh BUGS
No known bugs
.Sh SEE ALSO
.Xr cursor 1 ,
.Xr scon 1 ,
.Xr pcvt 4 ,
.Xr ispcvt 8
